﻿
* ----------------------------------------------------------------------------------------
* 15.PRELOADER & BOUNCE CCS STYLE
* ----------------------------------------------------------------------------------------
*/

body.loaded {
    overflow: hidden !important;
    height: 100% !important;
}

.preloader {
    position: fixed;
    z-index: 10;
    height: 100vh;
    width: 100%;
    left: 0;
    top: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    overflow: hidden;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: transparent;
    z-index: 99999999999999;
}

.preloader svg {
    position: absolute;
    top: 0;
    width: 100vw;
    height: 110vh;
    fill: var(--tj-black-2);
}

.preloader .preloader-heading .load-text {
    font-size: 20px;
    font-weight: 200;
    letter-spacing: 15px;
    text-transform: uppercase;
    z-index: 20;
}

.load-text span {
    -webkit-animation: loading 1s infinite alternate;
    animation: loading 1s infinite alternate;
}

.load-text span:nth-child(1) {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
}

.load-text span:nth-child(2) {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}

.load-text span:nth-child(3) {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

.load-text span:nth-child(4) {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.load-text span:nth-child(5) {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
}

.load-text span:nth-child(6) {
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
}

.load-text span:nth-child(7) {
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;
}

@-webkit-keyframes loading {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes loading {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.progress-wrap {
    position: fixed;
    bottom: 30px;
    right: 30px;
    height: 44px;
    width: 44px;
    cursor: pointer;
    display: block;
    border-radius: 50px;
    z-index: 100;
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    visibility: hidden;
    -webkit-transform: translateY(20px);
    transform: translateY(20px);
    -webkit-transition: all 400ms linear;
    transition: all 400ms linear;
    mix-blend-mode: difference;
}

.progress-wrap.active-progress {
    opacity: 1;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
    visibility: visible;
    -webkit-transform: translateY(0);
    transform: translateY(0);
}

.progress-wrap i {
    position: absolute;
    left: 10px;
    top: 8px;
    font-size: 25px;
    text-align: center;
}

.progress-wrap svg path {
    fill: none;
}

.progress-wrap svg.progress-circle path {
    stroke: #fff;
    stroke-width: 4;
    box-sizing: border-box;
    -webkit-transition: all 400ms linear;
    transition: all 400ms linear;
}

.progress-wrap {
    right: 10px;
    bottom: 20px;
}

.preloader.is-hidden {
  pointer-events: none !important;
}